﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;


namespace CMS.Web.N2File
{
    public class SqlSiteMapNode : System.Web.SiteMapNode 
    {

        public SqlSiteMapNode(SiteMapProvider provider, n2File file)
            : base(provider, file.FullPath)
        {
            this.Url = file.FullPath;
            string path = file.FullPath;
            this.Title = (file.Name=="" ? "/" : "") + file.Name;
            this.IsDirectory = file.IsDirectory;
            if (!this.IsDirectory)
                this.FileExtension = VirtualPathUtility.GetExtension(path).TrimStart('.');
        }

        private string fileExtension;
        private bool isDirectory;

        public string FileExtension
        {
            get { return fileExtension; }
            set { fileExtension = value; }
        }
        
        public bool IsDirectory
        {
            get { return isDirectory; }
            set { isDirectory = value; }
        }

		public string IconUrl
		{
			get { return "../img/ico/folder.gif"; }
		}

		public string Target
		{
			get { return "file"; }
		}
    }
}
